org.apache.jmeter.testelement

## Class AbstractTestElementBeanInfo

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElementBeanInfo

- All Implemented Interfaces:
    java.beans.BeanInfo
  Direct Known Subclasses:
    HTTPSamplerBaseBeanInfo

      public class AbstractTestElementBeanInfo
      extends java.lang.Object
      implements java.beans.BeanInfo

  This is the BeanInfo object for the AbstractTestElement class. It acts as a "stopper" for the introspector: we don't want it to look at properties defined at this or higher classes.

  Note this is really needed since using Introspector.getBeanInfo with a stop class is not an option because:

  1. The API does not define a 3-parameter getBeanInfo in which you can use a stop class AND flags. [Why? I guess this is a bug in the spec.]
  2. java.beans.Introspector is buggy and, opposite to what's stated in the Javadocs, only results of getBeanInfo(Class) are actually cached.

- - ### Field Summary

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTestElementBeanInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
    `java.beans.BeanDescriptor` | `getBeanDescriptor()`
    `int` | `getDefaultEventIndex()`
    `int` | `getDefaultPropertyIndex()`
    `java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`
    `java.awt.Image` | `getIcon(int iconKind)`
    `java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
    `java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTestElementBeanInfo

          public AbstractTestElementBeanInfo()

  - ### Method Detail

    - #### getAdditionalBeanInfo

          public java.beans.BeanInfo[] getAdditionalBeanInfo()

      Specified by:
        `getAdditionalBeanInfo` in interface `java.beans.BeanInfo`

    - #### getBeanDescriptor

          public java.beans.BeanDescriptor getBeanDescriptor()

      Specified by:
        `getBeanDescriptor` in interface `java.beans.BeanInfo`

    - #### getDefaultEventIndex

          public int getDefaultEventIndex()

      Specified by:
        `getDefaultEventIndex` in interface `java.beans.BeanInfo`

    - #### getDefaultPropertyIndex

          public int getDefaultPropertyIndex()

      Specified by:
        `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`

    - #### getEventSetDescriptors

          public java.beans.EventSetDescriptor[] getEventSetDescriptors()

      Specified by:
        `getEventSetDescriptors` in interface `java.beans.BeanInfo`

    - #### getIcon

          public java.awt.Image getIcon(int iconKind)

      Specified by:
        `getIcon` in interface `java.beans.BeanInfo`

    - #### getMethodDescriptors

          public java.beans.MethodDescriptor[] getMethodDescriptors()

      Specified by:
        `getMethodDescriptors` in interface `java.beans.BeanInfo`

    - #### getPropertyDescriptors

          public java.beans.PropertyDescriptor[] getPropertyDescriptors()

      Specified by:
        `getPropertyDescriptors` in interface `java.beans.BeanInfo`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.